Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftChannelProxy

    java.lang.Object
      com.sun.media.sound.SoftChannelProxy

All Implemented Interfaces:
  javax.sound.midi.MidiChannel

    public class SoftChannelProxy

extends java.lang.Object
implements javax.sound.midi.MidiChannel

A MidiChannel proxy object used for external access to synthesizer internal channel objects.

Author:
  Karl Helgason

Constructor Summary
`SoftChannelProxy()`

Method Summary
`void` | `allNotesOff()`
`void` | `allSoundOff()`
`void` | `controlChange(int controller, int value)`
`javax.sound.midi.MidiChannel` | `getChannel()`
`int` | `getChannelPressure()`
`int` | `getController(int controller)`
`boolean` | `getMono()`
`boolean` | `getMute()`
`boolean` | `getOmni()`
`int` | `getPitchBend()`
`int` | `getPolyPressure(int noteNumber)`
`int` | `getProgram()`
`boolean` | `getSolo()`
`boolean` | `localControl(boolean on)`
`void` | `noteOff(int noteNumber)`
`void` | `noteOff(int noteNumber, int velocity)`
`void` | `noteOn(int noteNumber, int velocity)`
`void` | `programChange(int program)`
`void` | `programChange(int bank, int program)`
`void` | `resetAllControllers()`
`void` | `setChannel(javax.sound.midi.MidiChannel channel)`
`void` | `setChannelPressure(int pressure)`
`void` | `setMono(boolean on)`
`void` | `setMute(boolean mute)`
`void` | `setOmni(boolean on)`
`void` | `setPitchBend(int bend)`
`void` | `setPolyPressure(int noteNumber, int pressure)`
`void` | `setSolo(boolean soloState)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftChannelProxy

    public SoftChannelProxy()

Method Detail

### getChannel

    public javax.sound.midi.MidiChannel getChannel()

### setChannel

    public void setChannel(javax.sound.midi.MidiChannel channel)

### allNotesOff

    public void allNotesOff()

  Specified by:
    `allNotesOff` in interface `javax.sound.midi.MidiChannel`

### allSoundOff

    public void allSoundOff()

  Specified by:
    `allSoundOff` in interface `javax.sound.midi.MidiChannel`

### controlChange

    public void controlChange(int controller,
                              int value)

  Specified by:
    `controlChange` in interface `javax.sound.midi.MidiChannel`

### getChannelPressure

    public int getChannelPressure()

  Specified by:
    `getChannelPressure` in interface `javax.sound.midi.MidiChannel`

### getController

    public int getController(int controller)

  Specified by:
    `getController` in interface `javax.sound.midi.MidiChannel`

### getMono

    public boolean getMono()

  Specified by:
    `getMono` in interface `javax.sound.midi.MidiChannel`

### getMute

    public boolean getMute()

  Specified by:
    `getMute` in interface `javax.sound.midi.MidiChannel`

### getOmni

    public boolean getOmni()

  Specified by:
    `getOmni` in interface `javax.sound.midi.MidiChannel`

### getPitchBend

    public int getPitchBend()

  Specified by:
    `getPitchBend` in interface `javax.sound.midi.MidiChannel`

### getPolyPressure

    public int getPolyPressure(int noteNumber)

  Specified by:
    `getPolyPressure` in interface `javax.sound.midi.MidiChannel`

### getProgram

    public int getProgram()

  Specified by:
    `getProgram` in interface `javax.sound.midi.MidiChannel`

### getSolo

    public boolean getSolo()

  Specified by:
    `getSolo` in interface `javax.sound.midi.MidiChannel`

### localControl

    public boolean localControl(boolean on)

  Specified by:
    `localControl` in interface `javax.sound.midi.MidiChannel`

### noteOff

    public void noteOff(int noteNumber)

  Specified by:
    `noteOff` in interface `javax.sound.midi.MidiChannel`

### noteOff

    public void noteOff(int noteNumber,
                        int velocity)

  Specified by:
    `noteOff` in interface `javax.sound.midi.MidiChannel`

### noteOn

    public void noteOn(int noteNumber,
                       int velocity)

  Specified by:
    `noteOn` in interface `javax.sound.midi.MidiChannel`

### programChange

    public void programChange(int program)

  Specified by:
    `programChange` in interface `javax.sound.midi.MidiChannel`

### programChange

    public void programChange(int bank,
                              int program)

  Specified by:
    `programChange` in interface `javax.sound.midi.MidiChannel`

### resetAllControllers

    public void resetAllControllers()

  Specified by:
    `resetAllControllers` in interface `javax.sound.midi.MidiChannel`

### setChannelPressure

    public void setChannelPressure(int pressure)

  Specified by:
    `setChannelPressure` in interface `javax.sound.midi.MidiChannel`

### setMono

    public void setMono(boolean on)

  Specified by:
    `setMono` in interface `javax.sound.midi.MidiChannel`

### setMute

    public void setMute(boolean mute)

  Specified by:
    `setMute` in interface `javax.sound.midi.MidiChannel`

### setOmni

    public void setOmni(boolean on)

  Specified by:
    `setOmni` in interface `javax.sound.midi.MidiChannel`

### setPitchBend

    public void setPitchBend(int bend)

  Specified by:
    `setPitchBend` in interface `javax.sound.midi.MidiChannel`

### setPolyPressure

    public void setPolyPressure(int noteNumber,
                                int pressure)

  Specified by:
    `setPolyPressure` in interface `javax.sound.midi.MidiChannel`

### setSolo

    public void setSolo(boolean soloState)

  Specified by:
    `setSolo` in interface `javax.sound.midi.MidiChannel`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD